PhpStorm 2018.2 Help

Required Plugins

File | Settings | Build, Execution, Deployment | Required Plugins for Windows and Linux
PhpStorm | Preferences | Build, Execution, Deployment | Required Plugins for macOS
Ctrl+Alt+S settings


Use this page to specify plugins that are required for correct functioning of your project. PhpStorm will ensure that the plugins that are necessary for your project to work will be available.

ItemDescription
new or Alt+InsertClick this icon to add a required plugin for your project.
In the dialog that opens, specify the following options:
  • Plugin - use this list to select a plugin that you want to add as required.
  • Minimum version - use this field to specify the minimum version of the selected plugin.
  • Maximum version - use this field to specify the maximum version of the selected plugin.
icons actions edit svg or EnterClick this icon to change the specified plugin or edit its version.
icons general remove svg or Alt+DeleteClick this icon to remove the specified plugin.
Last modified: 28 June 2018

See Also